tasty-quickcheck-0.8.4: QuickCheck support for the Tasty test framework.

Safe Haskell | None
Language | Haskell2010

Test.Tasty.QuickCheck

Contents

- Internal

Description

This module allows to use QuickCheck properties in tasty.

Synopsis

- testProperty :: Testable a => TestName -> a -> TestTree
- newtype QuickCheckTests = QuickCheckTests Int
- newtype QuickCheckReplay = QuickCheckReplay (Maybe (QCGen, Int))
- newtype QuickCheckShowReplay = QuickCheckShowReplay Bool
- newtype QuickCheckMaxSize = QuickCheckMaxSize Int
- newtype QuickCheckMaxRatio = QuickCheckMaxRatio Int
- newtype QuickCheckVerbose = QuickCheckVerbose Bool
- module Test.QuickCheck
- newtype QC = QC Property

# Documentation

testProperty :: Testable a => TestName -> a -> TestTree Source

Create a `Test` for a QuickCheck `Testable` property

newtype QuickCheckTests Source

Number of test cases for QuickCheck to generate

Constructors

QuickCheckTests Int |

Instances

Enum QuickCheckTests Source |
Eq QuickCheckTests Source |
Integral QuickCheckTests Source |
Num QuickCheckTests Source |
Ord QuickCheckTests Source |
Real QuickCheckTests Source |
IsOption QuickCheckTests Source |

newtype QuickCheckReplay Source

Replay a previous test using a replay token

Constructors

QuickCheckReplay (Maybe (QCGen, Int)) |

Instances

IsOption QuickCheckReplay Source |

newtype QuickCheckShowReplay Source

If a test case fails unexpectedly, show the replay token

Constructors

QuickCheckShowReplay Bool |

Instances

IsOption QuickCheckShowReplay Source |

newtype QuickCheckMaxSize Source

Size of the biggest test cases

Constructors

QuickCheckMaxSize Int |

Instances

Enum QuickCheckMaxSize Source |
Eq QuickCheckMaxSize Source |
Integral QuickCheckMaxSize Source |
Num QuickCheckMaxSize Source |
Ord QuickCheckMaxSize Source |
Real QuickCheckMaxSize Source |
IsOption QuickCheckMaxSize Source |

newtype QuickCheckMaxRatio Source

Maximum number of of discarded tests per successful test before giving up.

Constructors

QuickCheckMaxRatio Int |

Instances

Enum QuickCheckMaxRatio Source |
Eq QuickCheckMaxRatio Source |
Integral QuickCheckMaxRatio Source |
Num QuickCheckMaxRatio Source |
Ord QuickCheckMaxRatio Source |
Real QuickCheckMaxRatio Source |
IsOption QuickCheckMaxRatio Source |

newtype QuickCheckVerbose Source

Show the test cases that QuickCheck generates

Constructors

QuickCheckVerbose Bool |

Instances

IsOption QuickCheckVerbose Source |

module Test.QuickCheck

# Internal

This is exposed for testing purposes and not considered as a part of the public API. You probably shouldn't need it.

newtype QC Source

Constructors

QC Property |

Instances

IsTest QC Source |